#!/bin/sh

po=$1
dialect=$2

[ -z $1 ] && exit
[ -f $1 ] || exit

mkdir -p $dialect || exit
mkdir -p tmp || exit

reffile=`basename $po`
pofile=$reffile-noaccel
outfile=$reffile-$dialect

if test -f $dialect/$reffile && [ `stat -c %Y $dialect/$reffile` -gt `stat -c %Y $po` ]; then
	echo "* $dialect/$reffile (cached)"
else
	echo "* $dialect/$reffile"

	no-accel.pl $po tmp/$pofile

	if test "x$dialect" = "xsaxon"; then
		Saxophone.py tmp/$pofile > tmp/$outfile
	elif test "x$dialect" = "xberlin"; then
		cat tmp/$pofile | berlinifyer.pl > tmp/$outfile
	elif test "x$dialect" = "xschwob"; then
		cat tmp/$pofile | webschwob > tmp/$outfile
	fi

	merge.pl tmp/$outfile $po > $dialect/$reffile
fi

rm -rf tmp

